<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@drawable/x_shap_shadow_bg_rectgangle_purple_red"
    android:paddingBottom="@dimen/content_padding_10"
    android:paddingEnd="@dimen/content_padding_10"
    android:paddingStart="@dimen/content_padding_10">

    <TextView
        android:id="@+id/this_last_tv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/last_this_month_rank"
        android:textColor="#FFD269"
        app:layout_constraintTop_toTopOf="parent"
        android:paddingTop="@dimen/content_padding_10"
        app:layout_constraintEnd_toEndOf="@+id/ask_top3_tip"
        android:paddingEnd="3dp"
        android:autoLink="all"/>

    <TextView
        android:id="@+id/ask_top5_title"
        app:layout_constraintTop_toBottomOf="@+id/this_last_tv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingBottom="@dimen/content_padding_10"
        android:paddingTop="@dimen/content_padding_10"
        android:text="@string/this_month_rank_top5"
        android:textColor="#ffffff"
        android:textSize="14sp" />

    <TextView
        android:id="@+id/ask_top5_not_you"
        app:layout_constraintBottom_toBottomOf="@+id/ask_top5_title"
        app:layout_constraintEnd_toStartOf="@+id/ask_top3_tip"
        app:layout_constraintTop_toTopOf="@+id/ask_top5_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:text="你还未上榜，再接再厉"
        android:textColor="#ffffff"
        android:textSize="10sp" />

    <ImageView
        android:id="@+id/ask_top3_tip"
        app:layout_constraintBottom_toBottomOf="@+id/ask_top5_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/ask_top5_title"
        android:layout_width="18dp"
        android:layout_height="38dp"
        android:paddingBottom="@dimen/content_padding_10"
        android:paddingEnd="3dp"
        android:paddingStart="3dp"
        android:paddingTop="@dimen/content_padding_10"
        android:src="@mipmap/ask_top5_tip" />

    <RelativeLayout
        android:id="@+id/empty_view"
        app:layout_constraintBottom_toBottomOf="@+id/ask_top5_list"
        app:layout_constraintTop_toTopOf="@+id/ask_top5_list"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:visibility="invisible">

        <ImageView
            android:id="@+id/empty_view_img"
            android:layout_width="wrap_content"
            android:layout_height="80dp"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="140dp"
            android:gravity="center"
            android:scaleType="centerInside"
            android:src="@mipmap/wushuju" />

        <TextView
            android:id="@+id/empty_view_msg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/empty_view_img"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/content_padding_10"
            android:gravity="center"
            android:text="@string/wushuju"
            android:textColor="#ffffff"
            android:textSize="15sp" />
    </RelativeLayout>

    <android.support.v7.widget.RecyclerView
        android:id="@+id/ask_top5_list"
        app:layout_constraintTop_toBottomOf="@+id/ask_top5_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

</android.support.constraint.ConstraintLayout>
